Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractClausedStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod

    public abstract class AbstractClausedStaticPersistentMethod
    extends AbstractStaticPersistentMethod

Authors:
  Graeme Rocher

Since:
  31-Aug-2005

Nested Class Summary
`protected static class` | `AbstractClausedStaticPersistentMethod.GrailsMethodExpression` @author Graeme Rocher

Field Summary

Fields inherited from class AbstractStaticPersistentMethod
application

Method Summary
`java.lang.Object` | `AbstractClausedStaticPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, java.lang.String[] operators)`
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### AbstractClausedStaticPersistentMethod

    public java.lang.Object AbstractClausedStaticPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, java.lang.String[] operators)

### doInvokeInternal

    return doInvokeInternal(clazz, methodName, null, additionalCriteria, arguments);
    }
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)

### doInvokeInternal

    }

    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)

### doInvokeInternal

    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)

### doInvokeInternalWithExpressions

    protected java.lang.Object doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)

Groovy Documentation